API Reference

Purchase Orders

8 endpoints· Auth: JWT or API Key
get/api/v1/console/purchase-orders JWT API Key

Get purchase-orders

Query parameters

Status
string
—
SupplierId
string (uuid)
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-orders" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders JWT API Key

Create purchase-orders

Request body

application/json
{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "expectedDeliveryDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0
    }
  ]
}
supplierId
string (uuid)
—
expectedDeliveryDate
string (date)
—
notes
string
—
lines
PurchaseOrderLineRequest[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "expectedDeliveryDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/purchase-orders/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Query parameters

Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
put/api/v1/console/purchase-orders/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "expectedDeliveryDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0
    }
  ]
}
supplierId
string (uuid)
—
expectedDeliveryDate
string (date)
—
notes
string
—
lines
PurchaseOrderLineRequest[]
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "supplierId": "00000000-0000-0000-0000-000000000000",
  "expectedDeliveryDate": "2026-09-30",
  "notes": "string",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "quantity": 0,
      "unitCost": 0
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/purchase-orders/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders/{id}/cancel JWT API Key

Create cancel

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}/cancel" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders/{id}/close JWT API Key

Create close

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}/close" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/purchase-orders/{id}/submit JWT API Key

Create submit

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-orders/{id}/submit" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu